Accounts
Opt a connected account into or out of native post imports
PUT
/accounts/{account_id}/post-importsAuthorizationBearer <token>
In: header
Path Parameters
account_id*string
Connected account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/accounts/string/post-imports" \ -H "Content-Type: application/json" \ -d '{ "enabled": true, "workspace_id": "string" }'{ "$schema": "https://example.com/api/v1/schemas/PostImportOverviewResponse.json", "account_id": "string", "enabled": true, "failure_message": "string", "last_success_at": "2019-08-24T14:15:22Z", "next_cursor": "string", "next_eligible_at": "2019-08-24T14:15:22Z", "platform": "string", "posts": [ { "external_url": "string", "id": "string", "published_at": "2019-08-24T14:15:22Z", "text": "string", "title": "string" } ], "status": "string", "supported": true, "unavailable_reason": "string"}